Re: [Xen-devel] minimum Python version

2017-09-20 Thread Ian Jackson
Jan Beulich writes ("Re: [Xen-devel] minimum Python version"): > On 20.09.17 at 10:49, <jgr...@suse.com> wrote: > > What about the following idea: maybe we could add an option to configure > > to make it fail instead of disabling components in case some >

Re: [Xen-devel] minimum Python version

2017-09-20 Thread Ian Jackson
Jan Beulich writes ("minimum Python version"): > for quite a while (apparently as of Marek's series in February) I've > been seeing > > xen/lowlevel/xc/xc.c: In function ‘pyxc_dom_extract_cpuid’: > xen/lowlevel/xc/xc.c:692:13: error: implicit declaration of function > ‘PyBytes_AS_STRING’

Re: [Xen-devel] minimum Python version

2017-09-20 Thread Jan Beulich
>>> On 20.09.17 at 10:49, wrote: > What about the following idea: maybe we could add an option to configure > to make it fail instead of disabling components in case some > requirements for that component are not met? The default could be to > just disable the components and with

Re: [Xen-devel] minimum Python version

2017-09-20 Thread Juergen Gross
On 20/09/17 09:55, Jan Beulich wrote: On 20.09.17 at 09:20, wrote: >> For your case: what about adding a configure option to disable building >> the python bindings (and any dependencies like e.g. pygrub) instead of >> doing so in case of a version mismatch? This would avoid

Re: [Xen-devel] minimum Python version

2017-09-20 Thread Jan Beulich
>>> On 20.09.17 at 09:20, wrote: > For your case: what about adding a configure option to disable building > the python bindings (and any dependencies like e.g. pygrub) instead of > doing so in case of a version mismatch? This would avoid any surprises > in case someone didn't

Re: [Xen-devel] minimum Python version

2017-09-20 Thread Juergen Gross
On 20/09/17 09:00, Jan Beulich wrote: > Hello, > > for quite a while (apparently as of Marek's series in February) I've > been seeing > > xen/lowlevel/xc/xc.c: In function ‘pyxc_dom_extract_cpuid’: > xen/lowlevel/xc/xc.c:692:13: error: implicit declaration of function > ‘PyBytes_AS_STRING’

[Xen-devel] minimum Python version

2017-09-20 Thread Jan Beulich
Hello, for quite a while (apparently as of Marek's series in February) I've been seeing xen/lowlevel/xc/xc.c: In function ‘pyxc_dom_extract_cpuid’: xen/lowlevel/xc/xc.c:692:13: error: implicit declaration of function ‘PyBytes_AS_STRING’ [-Werror=implicit-function-declaration]